### Method

# Gtk ListStoreswap

deprecated: 4.10

#### Declaration [src]

    void
    gtk_list_store_swap (
      GtkListStore* store,
      GtkTreeIter* a,
      GtkTreeIter* b
    )

#### Description [src]

Swaps `a` and `b` in `store`. Note that this function only works with unsorted stores.

Deprecated since: 4.10

Use list models.

#### Parameters

`a`

  Type: `GtkTreeIter`

  A `GtkTreeIter`

  The data is owned by the caller of the method.

`b`

  Type: `GtkTreeIter`

  Another `GtkTreeIter`

  The data is owned by the caller of the method.